package com.jbo.vga.credits

import com.jbo.vga.model.Credit

class CreditsContract {

    interface PresenterInterface {
        fun getCredits()
        fun stop()
    }

    interface ViewInterface {
        fun showProgress()
        fun hideProgress()
        fun displayCredits(credits: List<Credit>)
        fun displayError(message: String)
    }

}