package com.jbo.vga.page

import android.net.Uri
import android.view.View
import android.widget.ImageView

interface PageListener {
    fun getImageUri(resourcePath: String): Uri
    fun getAudioUri(resourcePath: String): Uri
    fun getFeedbackEmailSubject(level: String): String
    fun loadSvgImage(uri: Uri, imageView: ImageView)
    fun addAudioFragment(level: String, audioPath: String)
    fun onHideSoftKeyboard(view: View)
    fun onContentFinished()
}