package com.jbo.vga.registration

class RegistrationContract {

    interface PresenterInterface {
        fun createAccount(email: String, password: String)
        fun stop()
    }

    interface ViewInterface {
        fun showProgress()
        fun hideProgress()
        fun registeredSuccessfully()
        fun displayError(message: String)
    }

}