package com.jbo.vga.index

import com.jbo.vga.model.DidacticUnit

class IndexContract {

    interface PresenterInterface {
        fun getLevelIndex(level: String)
        fun stop()
    }

    interface ViewInterface {
        fun showProgress()
        fun hideProgress()
        fun displayIndex(index: List<DidacticUnit>)
        fun displayError(message: String)
    }

}