package com.jbo.vga.login

class LoginContract {

    interface PresenterInterface {
        fun stillAuthenticated(): Boolean
        fun login(email: String, password: String)
        fun sendPasswordResetEmail(email: String)
        fun stop()
    }

    interface ViewInterface {
        fun showProgress()
        fun hideProgress()
        fun loginSuccessfully()
        fun passwordResetEmailSendSuccessfully()
        fun displayError(message: String)
    }

}